Package org.jfree.layouting.input.style.values

## Class CSSRectangleValue

- java.lang.Object
- - org.jfree.layouting.input.style.values.CSSRectangleValue

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSValue`

      public class CSSRectangleValue
      extends java.lang.Object
      implements CSSValue

  Creation-Date: 23.11.2005, 12:04:06
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSRectangleValue​(CSSRectangleType type, CSSNumericValue top, CSSNumericValue right, CSSNumericValue bottom, CSSNumericValue left)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CSSNumericValue` | `getBottom​()` |
    `java.lang.String` | `getCSSText​()` |
    `CSSNumericValue` | `getLeft​()` |
    `CSSNumericValue` | `getRight​()` |
    `CSSNumericValue` | `getTop​()` |
    `CSSRectangleType` | `getType​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSRectangleValue

          public CSSRectangleValue​(CSSRectangleType type,
                                   CSSNumericValue top,
                                   CSSNumericValue right,
                                   CSSNumericValue bottom,
                                   CSSNumericValue left)

  - ### Method Detail

    - #### getTop

          public CSSNumericValue getTop​()

    - #### getLeft

          public CSSNumericValue getLeft​()

    - #### getBottom

          public CSSNumericValue getBottom​()

    - #### getRight

          public CSSNumericValue getRight​()

    - #### getCSSText

          public java.lang.String getCSSText​()

      Specified by:
        `getCSSText` in interface `CSSValue`

    - #### getType

          public CSSRectangleType getType​()

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`